Bug 492259 - Review Request: tucan - Manager for downloads and uploads at hosting sites
Review Request: tucan - Manager for downloads and uploads at hosting sites
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 03:54 EDT by Simon
Modified: 2010-06-26 17:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.3.7-0.1.alpha.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2009-03-26 03:54:15 EDT
Spec URL:
http://cassmodiah.fedorapeople.org/tucan-0.3.6/tucan.spec

SRPM URL: 
http://cassmodiah.fedorapeople.org/tucan-0.3.6/tucan-0.3.6-0.1.alpha.fc10.src.rpm

Description:
Tucan is a graphical manager to upload and download from the most famous file hosting sites (e.g. rapidshare, megaupload).

RPMlint:
tucan.noarch: E: explicit-lib-dependency librsvg2
Comment 1 Parag AN(पराग) 2009-03-26 04:09:42 EDT
I think you need to modify /usr/bin/tucan 

when I locally build SRPM on F10 and tried to run tucan, I got
/usr/bin/tucan: line 2: cd: /usr/lib/python2.5/site-packages/tucan/: No such file or directory
python: can't open file 'tucan.py': [Errno 2] No such file or directory
Comment 2 Simon 2009-03-26 04:20:08 EDT
oops, ah, very uncool, the correct path is 
%{python_sitearch}/%{name}-%{version}
not
%{python_sitearch}/%{name}


Okay, thanks for this hint!
Comment 3 Parag AN(पराग) 2009-03-26 05:02:56 EDT
1) you have missing
BuildRequires:   python
in package.

2) from https://fedoraproject.org/wiki/Packaging:Python#System_Architecture
  you should use %global instead %define

3) either you can create wrapper as
/usr/bin/tucan
#!/bin/sh

/usr/lib/python2.5/site-packages/tucan-0.3.6/tucan.py

or I think good to do it as written in Makefile
        ln -s $(LIBDIR)$(EXECFILE) $(BINDIR)$(NAME)

4) If you are creating patch to makefile then good if you will also add -p to install and cp commands to preserve timestamps.
see http://fedoraproject.org/wiki/PackagingGuidelines#Timestamps
Comment 4 Simon 2009-03-26 06:18:39 EDT
1)
done

2)
done

3)
the original of the makefile won't work, because prefix is defined with buildroot

error: Symlink points to BuildRoot: /usr/bin/tucan -> /builddir/build/BUILDROOT/tucan-0.3.6-0.2.alpha.fc10.i386//usr/lib/python2.5/site-packages/tucan-0.3.6/tucan.py
RPM build errors:
    Symlink points to BuildRoot: /usr/bin/tucan -> /builddir/build/BUILDROOT/tucan-0.3.6-0.2.alpha.fc10.i386//usr/lib/python2.5/site-packages/tucan-0.3.6/tucan.py

I don't want to fix it, because I`m not a friend of symlinks in bindir. i think the wrapper is a better way...

4)
Done

SPEC:
http://cassmodiah.fedorapeople.org/tucan-0.3.6/tucan.spec

SRPM:
http://cassmodiah.fedorapeople.org/tucan-0.3.6/tucan-0.3.6-0.2.alpha.fc10.src.rpm
Comment 5 Simon 2009-03-26 06:20:47 EDT
1)
done

2)
done

3)
the original of the makefile won't work, because prefix is defined with buildroot

error: Symlink points to BuildRoot: /usr/bin/tucan -> /builddir/build/BUILDROOT/tucan-0.3.6-0.2.alpha.fc10.i386//usr/lib/python2.5/site-packages/tucan-0.3.6/tucan.py
RPM build errors:
    Symlink points to BuildRoot: /usr/bin/tucan -> /builddir/build/BUILDROOT/tucan-0.3.6-0.2.alpha.fc10.i386//usr/lib/python2.5/site-packages/tucan-0.3.6/tucan.py

I don't want to fix it, because I`m not a friend of symlinks in bindir. i think the wrapper is a better way...

4)
Done

SPEC:
http://cassmodiah.fedorapeople.org/tucan-0.3.6/tucan.spec

SRPM:
http://cassmodiah.fedorapeople.org/tucan-0.3.6/tucan-0.3.6-0.2.alpha.fc10.src.rpm
Comment 6 Simon 2009-03-26 06:23:37 EDT
1)
done

2)
done

3)
the original of the makefile won't work, because prefix is defined with buildroot

error: Symlink points to BuildRoot: /usr/bin/tucan -> /builddir/build/BUILDROOT/tucan-0.3.6-0.2.alpha.fc10.i386//usr/lib/python2.5/site-packages/tucan-0.3.6/tucan.py
RPM build errors:
    Symlink points to BuildRoot: /usr/bin/tucan -> /builddir/build/BUILDROOT/tucan-0.3.6-0.2.alpha.fc10.i386//usr/lib/python2.5/site-packages/tucan-0.3.6/tucan.py

I don't want to fix it, because I`m not a friend of symlinks in bindir. i think the wrapper is a better way...

4)
Done

SPEC:
http://cassmodiah.fedorapeople.org/tucan-0.3.6/tucan.spec

SRPM:
http://cassmodiah.fedorapeople.org/tucan-0.3.6/tucan-0.3.6-0.2.alpha.fc10.src.rpm
Comment 7 Simon 2009-03-26 06:24:41 EDT
1)
done

2)
done

3)
the original of the makefile won't work, because prefix is defined with buildroot

error: Symlink points to BuildRoot: /usr/bin/tucan -> /builddir/build/BUILDROOT/tucan-0.3.6-0.2.alpha.fc10.i386//usr/lib/python2.5/site-packages/tucan-0.3.6/tucan.py
RPM build errors:
    Symlink points to BuildRoot: /usr/bin/tucan -> /builddir/build/BUILDROOT/tucan-0.3.6-0.2.alpha.fc10.i386//usr/lib/python2.5/site-packages/tucan-0.3.6/tucan.py

I don't want to fix it, because I`m not a friend of symlinks in bindir. i think the wrapper is a better way...

4)
Done

SPEC:
http://cassmodiah.fedorapeople.org/tucan-0.3.6/tucan.spec

SRPM:
http://cassmodiah.fedorapeople.org/tucan-0.3.6/tucan-0.3.6-0.2.alpha.fc10.src.rpm
Comment 8 Parag AN(पराग) 2009-04-24 01:28:56 EDT
busy this week and weekend if nobody picks this will review by next week

Also, I see you posted same comment 4 times????
Comment 9 Simon 2009-04-24 02:51:20 EDT
yeah, was a hiccup of my firefox or my internet connection. had this problem in a forum, too. Don't know was the matter was. it was just on this day. strange, sorry for spam.
Comment 10 Parag AN(पराग) 2009-04-29 02:30:38 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1327590
+ rpmlint output for SRPM and for RPM
tucan.noarch: E: explicit-lib-dependency librsvg2
==> looks false message
+ source files match upstream url
21cc03fe952da8a0ae44ba66956a0766  tucan-0.3.6.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ tucan desktop file installed correctly.
+ GUI App.

APPROVED.
Comment 11 Simon 2009-04-29 06:11:52 EDT
thank you for your review!

New Package CVS Request
=======================
Package Name: tucan
Short Description: Manager for downloads and uploads at hosting sites
Owners: cassmodiah
Branches: F-11 F-10
InitialCC:
Comment 12 Simon 2009-04-29 10:10:17 EDT
new version available 0.3.7 alpha

@parag

in new version i removed shipped mo-files and built it from source
Comment 13 Kevin Fenzi 2009-04-30 00:43:38 EDT
cvs done.
Comment 14 Fedora Update System 2009-04-30 04:04:09 EDT
tucan-0.3.7-0.1.alpha.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tucan-0.3.7-0.1.alpha.fc11
Comment 15 Fedora Update System 2009-04-30 04:05:11 EDT
tucan-0.3.7-0.1.alpha.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tucan-0.3.7-0.1.alpha.fc10
Comment 16 Fedora Update System 2009-05-02 12:33:56 EDT
tucan-0.3.7-0.1.alpha.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-05-09 00:09:02 EDT
tucan-0.3.7-0.1.alpha.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Simon 2010-06-23 08:11:05 EDT
Package Change Request
======================
Package Name: tucan
New Branches: EL-6
Owners: cassmodiah
Comment 19 Jason Tibbitts 2010-06-26 17:21:25 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.